altcp_priv.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/altcp.h"`
`#include "lwip/ip_addr.h"`

## Functions

struct altcp_pcb * | altcp_alloc (void)
void | altcp_free (struct altcp_pcb *conn)

## Detailed Description

Application layered TCP connection API (to be used from TCPIP thread)
This interface mimics the tcp callback API to the application while preventing direct linking (much like virtual functions). This way, an application can make use of other application layer protocols on top of TCP without knowing the details (e.g. TLS, proxy connection).

## Function Documentation

## altcp_alloc()

struct altcp_pcb* altcp_alloc | ( | void |  | ) |

For altcp layer implementations only: allocate a new struct altcp_pcb from the pool and zero the memory

## altcp_free()

void altcp_free | ( | struct altcp_pcb * | conn | ) |

For altcp layer implementations only: return a struct altcp_pcb to the pool